Subject: Summary of curve fitting

From: [email-masked] (Dan Lawson)
Date: Tue, 22 Oct 1996 07:33:21 -0400

CCLer's,
        Thanks to all the people who responded to my question.  
Although I had a more specific answer (subroutine) in mind, the dozen 
or more responses will prove useful to me for other applications.  

ORIGINAL POST: 
> 
>       Hello, 
>               I am looking for a program (fortran or C) that will fit 
>       a function (Morse like or n-order polynomial) to data (potential 
>         curve).  Does anyone know of any free programs available.  I 
>         checked the net and could not readily locate anything.  I will 
>       summarize results. 
> 

SUMMARY: 
    People fit there equations to curves in two ways, canned code
    or subroutine(FORTRAN). 

       -These are the basic "subroutine/code" responses referenced either 
        by location or name.
 
        subroutines located in 
        http://veng-server.pharmacy.uiowa.edu/CD_1/netlib/dierckx/00_index.htm
 
        1mdif and nl2sol
        http://www.netlib.com/  then search for "curve fit" or "nl2sol" ...
 
        There are also fitting programs and subroutines in "Numerical
        Recipes"  fortran and C versions.
 
        DLPOLY2 from a Molecular Dynamics program
        http://gserv1.dl.ac.uk/CCP/CCP5/dl_poly.html
 
       -These are the basic software packages available
        FREE: 
 
        fit_any_function using simplex method
        ftp www.ccl.net  
        /pub/chemistry/software/SOURCES/FORTRAN/fit_any_function
 
        survibtm for polyatoms 
        ftp.tcg.anl.gov   /pub/survibtm/
 
        gnuplot also/and fudgit or gnufit
        http://sunsite.unc.edu
 
        xmgr
        ftp://ftp.teleport.com/pub/users/pturner/acegr/xmgr-3.01pl6.tar.gz

        MacCurveFit - its in the info-mac archives

        cvxpt124.zip - Windows( 3.1, 95, NT) ShareWare
        ftp://garbo.uwasa.fi/windows/science/cvxpt124.zip    
        
        NOT FREE: (can do some kind of fitting)
        SigmaPlot 
        Origin (linear fitting only)
        Mathematica
        MCAD
 
        Again, thanks to all those who responded.  Sorry if I missed  
        anyones response.
 
        Dan Lawson
        [email-masked] 
        Michigan State University